### Function

# Gtk DragIconcreate_widget_for_value

#### Declaration [src]

    GtkWidget*
    gtk_drag_icon_create_widget_for_value (
      const GValue* value
    )

#### Description [src]

Creates a widget that can be used as a drag icon for the given `value`.

Supported types include strings, `GdkRGBA` and `GtkTextBuffer`. If GTK does not know how to create a widget for a given value, it will return `NULL`.

This method is used to set the default drag icon on drag-and-drop operations started by `GtkDragSource`, so you don’t need to set a drag icon using this function there.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkWidget` for displaying `value` as a drag icon.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.